import {Backend as BaseBackend} from './common';
import {ServiceParams} from '../common';

export interface ServerRequest {}

export interface ServerResponse {}

export interface ServerParams<Backend extends BaseBackend = BaseBackend> {
	backend: Backend;
}

export interface Server<Backend extends BaseBackend = BaseBackend> {
	backend: Backend;
	serve(params: ServiceParams): Promise<void>;
	close(): Promise<void>;
}
